### Method

# EDataServer SourceAlarms get_last_notified

since: 3.6

#### Declaration [src]

    const gchar*
    e_source_alarms_get_last_notified (
      ESourceAlarms* extension
    )

#### Description [src]

Returns an ISO 8601 formatted timestamp of when the user was last alerted about an upcoming appointment in the calendar described by the `ESource` to which `extension` belongs. If no valid timestamp has been set, the function will return `NULL`.

Available since: 3.6

Gets property | `EDataServer.SourceAlarms:last-notified`

#### Return value

Type: `const gchar*`

An ISO 8601 timestamp, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.